<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.springframework.org/schema/beans"
       xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.1.xsd">

    <bean id="siteACBBDAO" class="org.inra.ecoinfo.acbb.refdata.site.JPASiteACBBDAO" parent="abstractDAO"/>
    <bean id="siteDAO" class="org.inra.ecoinfo.acbb.refdata.site.JPASiteACBBDAO" parent="abstractDAO"/>
    <bean id="agroecosystemeSiteThemeDatatypeParcelleDAO"
          class="org.inra.ecoinfo.acbb.refdata.agroecosystemesitethemedatatypeparcelle.JPAAgroecosystemeSiteThemeDatatypeParcelleDAO"
          parent="abstractDAO"/>
    <bean id="blocDAO" class="org.inra.ecoinfo.acbb.refdata.bloc.JPABlocDAO" parent="abstractDAO"/>
    <bean id="agroEcosystemeDAO" class="org.inra.ecoinfo.acbb.refdata.agroecosysteme.JPAAgroEcosystemeDAO"
          parent="abstractDAO"/>
    <bean id="parcelleDAO" class="org.inra.ecoinfo.acbb.refdata.parcelle.JPAParcelleDAO" parent="abstractDAO"/>
    <bean id="traitementDAO" class="org.inra.ecoinfo.acbb.refdata.traitement.JPATraitementDAO" parent="abstractDAO"/>
    <bean id="variableDeDescriptionDAO"
          class="org.inra.ecoinfo.acbb.refdata.variablededescription.JPAVariableDeDescriptionDAO" parent="abstractDAO"/>
    <bean id="modaliteDAO" class="org.inra.ecoinfo.acbb.refdata.modalite.JPAModaliteDAO" parent="abstractDAO"/>
    <bean id="suiviParcelleDAO" class="org.inra.ecoinfo.acbb.refdata.suiviparcelle.JPASuiviParcelleDAO"
          parent="abstractDAO"/>
    <bean id="datatypeVariableUniteACBBDAO"
          class="org.inra.ecoinfo.acbb.refdata.datatypevariableunite.JPADatatypeVariableUniteACBBDAO"
          parent="abstractDAO">
        <property name="mgaRecorder" ref="mgaRecorder"/>
    </bean>
    <bean id="variableACBBDAO" class="org.inra.ecoinfo.acbb.refdata.variable.JPAVariableACBBDAO" parent="abstractDAO"/>
    <bean id="versionDeTraitementDAO" class="org.inra.ecoinfo.acbb.refdata.versiontraitement.JPAVersionDeTraitementDAO"
          parent="abstractDAO"/>
    <bean id="listeItineraireDAO" class="org.inra.ecoinfo.acbb.refdata.itk.listeitineraire.JPAListeItineraireDAO"
          parent="abstractDAO"/>
    <bean id="produitPhytosanitaireDAO"
          class="org.inra.ecoinfo.acbb.refdata.itk.produitphytosanitaire.JPAProduitPhytosanitaireDAO"
          parent="abstractDAO"/>
    <bean id="listeVegetationDAO" class="org.inra.ecoinfo.acbb.refdata.biomasse.listevegetation.JPAListeVegetationDAO"
          parent="abstractDAO"/>
    <bean id="masseVegClassDAO" class="org.inra.ecoinfo.acbb.refdata.biomasse.massevegclass.JPAMasseVegClassDAO"
          parent="abstractDAO"/>
    <bean id="methodeAnalyseBiomasseDAO"
          class="org.inra.ecoinfo.acbb.refdata.biomasse.methode.methodeanalyse.JPAMethodeAnalyseDAO"
          parent="abstractDAO"/>
    <bean id="methodeLAIDAO" class="org.inra.ecoinfo.acbb.refdata.biomasse.methode.methodelai.JPAMethodeLAIDAO"
          parent="abstractDAO"/>
    <bean id="methodeProductionDAO"
          class="org.inra.ecoinfo.acbb.refdata.biomasse.methode.methodeproduction.JPAMethodeProductionDAO"
          parent="abstractDAO"/>
    <bean id="methodeHauteurVegetalDAO"
          class="org.inra.ecoinfo.acbb.refdata.biomasse.methode.methodehauteurvegetal.JPAMethodeHauteurVegetalDAO"
          parent="abstractDAO"/>
</beans>
